
/**
 * Module dependencies.
 */

var connect = require('./lib/connect')
  , form = require('connect-form')
  , RedisStore = require('connect-redis');

var app = connect.createServer();

app.use(connect.cookieDecoder());
app.use(connect.session({ store: new RedisStore }));
app.use(form());
app.use(function(req, res, next){
  if (req.form) {
    req.form.complete(function(err, fields, files){
      if (err) throw err;
      console.log(req.session);
      console.log(fields);
      console.log(files);
      res.writeHead(204);
      res.end();
    });
  } else {
    res.writeHead(200, { 'Content-Type': 'text/html' });
    res.end('<form action="/" method="post"><input type="file" name="image"/><input type="submit" value="Upload" /></form>');
  }
});

app.listen(3000);